from textwrap import dedent
from django.test import TestCase
from django.db import models
from django_model_docs.serializers.app_serializer import AppSerializer


class TestAppSerializer(TestCase):
    def test_works_as_expected(self):
        """Serializes a model correctly"""

        serializer = AppSerializer()

        self.maxDiff = None

        self.assertEqual(
            serializer.markdown("demo_django_app"),
            (
                "# `demo_django_app`` app`\n"
                + "\n"
                + "_This file was auto-generated Django Model Docs Generator.  Do not edit this file directly._\n"
                + "\n"
                + "A demo Django App. Note that this text will be pulled from the app's docstring and used in the default output of `generate-model-docs`.\n"
                + "\n"
                + "## `person` model\n"
                + "\n"
                + "Person(id, first_name, last_name, shoeStyle)\n"
                + "\n"
                + "|    Field   |Description|                                                          Data type                                                         |Nullable|Default|\n"
                + "|------------|-----------|----------------------------------------------------------------------------------------------------------------------------|--------|-------|\n"
                + "|    `id`    |           |                                                        BigAutoField                                                        |  False |   -   |\n"
                + "|`first_name`|           |                                                          CharField                                                         |  False |   -   |\n"
                + "| `last_name`|           |                                                          CharField                                                         |  False |   -   |\n"
                + "| `shoeStyle`|           |CharField<br><br>Choices (stored value : human readable)<br><br>- `LO` : `LOAFER`<br>- `BO` : `BOOT`<br>- `DR` : `DRESS`<br>|  False |   -   |\n"
                + "\n"
            ),
        )
